using e_suite.API.Common.models;
using e_suite.Database.Audit;

namespace e_suite.Service.SigmaImporter.Helpers;

public interface IImportCustomFieldHelper
{
    Task EnsureCustomFieldExists(AuditUserDetails auditUserDetails, CreateCustomField customField);
    
    Task EnsureCustomFieldsExist(AuditUserDetails auditUserDetails, IEnumerable<CreateCustomField> customFields);
}